### Method

# Ide CompletionContext get_buffer

#### Declaration

    GtkTextBuffer*
    ide_completion_context_get_buffer (
      IdeCompletionContext* self
    )

#### Description

Gets the underlying buffer used by the context.

This is a convenience function to get the buffer via the `IdeCompletion` property.

Available since: | 3.32

#### Return value

Returns: | `GtkTextBuffer`
| A `GtkTextBuffer` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.